# dkim_libfeature()

[back to index]

SYNOPSIS

    #include <dkim.h>

    _Bool dkim_libfeature(
    	DKIM_LIB *lib,
            u_int fc
    );

Tests for availability of a specific feature in the library.

DESCRIPTION

Called When | `dkim_libfeature()` can be called at any time after acquiring a library handle from `dkim_init()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Library instance handle, returned by `dkim_init`.

fc

A code representing a specific feature of the library. Possible values:

Feature Name | Description
--- | ---
`DKIM_FEATURE_DIFFHEADERS` | Underlying code required to provide the `dkim_diffheaders()` facility.
`DKIM_FEATURE_PARSE_TIME` | Underlying code required to provide the `dkim_get_msgdate()` facility.
`DKIM_FEATURE_QUERY_CACHE` | Underlying code required to do local caching of DNS replies (i.e., key records).
`DKIM_FEATURE_SHA256` | Underlying code required to do SHA256 hashing when signing or verifying.
`DKIM_FEATURE_DNSSEC` | Underlying code required to conduct DNSSEC evaluation of replies.
`DKIM_FEATURE_OVERSIGN` | Capability to "over-sign" header fields to prevent later addition of signed fields.

NOTES

- None.

Copyright (c) 2005-2008 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, 2013, 2014, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.